cancel
Showing results for 
Search instead for 
Did you mean: 
Create Post
Level 8

Orion Upgrade Advise

Jump to solution

We have one primary Orion server and an secondary additional polling engine server.

See all the modules we have currently installed, that I pulled from the server. We are trying to upgrade is to the latest version, but don't want to actually upgrade the windows operating system running on these Primary and secondary Orion Server itself. Doing some reserach, we are limited to NPM 12.1.

We want to only go up to NPM 12.1, as NPM 12.2 needs a windows 2012 to support and our primary Orion server is windows 2008. I am interested in knowing, if anyone has done this upgrade recencttly and if they have any advise or issues they ran into etc? Orion suggested these steps listed below:

Main Orion Server Details

Orion

Module Name Orion Platform

Version 2016.2.100

Service Pack None

Nodes currently monitored 2780

Total nodes in license unlimited

Volumes currently monitored 584

Total volumes in license unlimited

Total HA Pools in use 0

Total HA Pools in License 0

NCM

Product Name Network Configuration Manager

Version 7.5.1

Service Pack None

License Production

Allowed number of nodes 3000

Current number of nodes 1389

NPM

License Production

Product Name Network Performance Monitor

Version 12.0.1

Service Pack None

Current number of interfaces 15205

Allowed number of interfaces unlimited

IPAM

Product Name IP Address Manager

Version 4.3.2

Service Pack None

License Production

Allowed number of used IP Addresses unlimited

Current number of used IP Addresses 17068

UDT

Module Name User Device Tracker

Version 3.2.4

Service Pack None

License Production

Allowed number of monitored ports unlimited

Current number of monitored ports 62485

NetPath

Module Name NetPath

Version 1.0.1

Service Pack None

Additional Pollers

Orion on HQ-SOLARWINDS-2

License Production

Module Name Orion Platform

Version 2016.2.100

Service Pack None

This is the steps Orion support provided us. Does anyone here have any success doing as modules upgrade as below? I was suggested to upgrade NCM first, before the NPM, so just curious on your thoughts? 

####################################

Your Steps are below.

When I plug in the numbers, interestingly it asks to do NCM first.  (I believe this is because 7.6 is newer NPM 12.1, so the behind the scenes stull with the NCM installer will get you upgrader further).

Upgrade NCM to 7.6 first.

Then NPM to 12.1.

Then IPAM to 4.5.1.

Your UDT is already at the latest version for what you can get to with NPM 12.1.

After this is complete, and everything looks good.

Go to Settings, All Settings, Polling Engines on your Main Server.  In the upper right corner there is a Blue Button that will create the Additional Polling Engine upgrade installer.  Copy this exe over to that Additional Polling Engine, and launch it from that server.

For full details you can check out this KB page: https://support.solarwinds.com/Success_Center/Network_Performance_Monitor_(NPM)/Orion_product_instal...

0 Kudos
1 Solution
Level 11

Please refer the link for the NPM compatibility chart.

NPM product compatibility chart - SolarWinds Worldwide, LLC. Help and Support

Since you are using NPM 12.0.1 currently I doubt upgrading NCM to 7.6 first as its not supported by the current NPM version you are using.

View solution in original post

5 Replies
Level 9

We upgraded both of our pollers to 12.1 with no issues, main poller and SQL were still on 2008 R2. I will advise you download the new improved NPM 12.1 One-installer package and it will scan your system and show what to upgrade first. Then you can upgrade all your module from that one screen one installer. Thanks to SolarWinds team for the improved installer

Level 8

Thank you very much. That a very good suggestion. Did you download the NPM 12.1 offline version? I don't see an online installer NPM version for 12.1 in my customer portal. I do only see a NPM 12.2 online version.

0 Kudos
Level 9

I always download offline versions. Our servers do not have access to the internet.

Level 11

Please refer the link for the NPM compatibility chart.

NPM product compatibility chart - SolarWinds Worldwide, LLC. Help and Support

Since you are using NPM 12.0.1 currently I doubt upgrading NCM to 7.6 first as its not supported by the current NPM version you are using.

View solution in original post

Level 8

Thank you. That link is very helpful. I didn't though it would work too, but Orion support suggested that upgrade path and I had my doubt.